Skip to main content
GET
https://api.grainledger.com
/
api
/
v1
/
pledges
/
{id}
Get pledge
curl --request GET \
  --url https://api.grainledger.com/api/v1/pledges/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'X-Organization-Id: <x-organization-id>'
const options = {
  method: 'GET',
  headers: {'X-Organization-Id': '<x-organization-id>', Authorization: 'Bearer <token>'}
};

fetch('https://api.grainledger.com/api/v1/pledges/{id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
import requests

url = "https://api.grainledger.com/api/v1/pledges/{id}"

headers = {
    "X-Organization-Id": "<x-organization-id>",
    "Authorization": "Bearer <token>"
}

response = requests.get(url, headers=headers)

print(response.text)
{
  "id": "<string>",
  "donorId": "<string>",
  "fundId": "<string>",
  "campaignId": "<string>",
  "totalAmount": 123,
  "startDate": "2023-11-07T05:31:56Z",
  "endDate": "2023-11-07T05:31:56Z"
}
{
  "message": "You do not have access to this organization."
}
{
  "message": "You do not have access to this organization."
}
{
  "message": "You do not have access to this organization."
}
{
  "message": "You do not have access to this organization."
}
{
  "message": "You do not have access to this organization."
}
{
  "message": "You do not have access to this organization."
}
{
  "message": "You do not have access to this organization."
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

X-Organization-Id
string
required

Organization ID for multi-tenant data access

Path Parameters

id
string
required

Resource ID

Response

Pledge

id
string
donorId
string
fundId
string
campaignId
string | null
totalAmount
number
startDate
string<date-time>
endDate
string<date-time> | null
status
enum<string>
Available options:
ACTIVE,
CANCELLED
Last modified on July 8, 2026